package myPackage;

//Test program for ConcreteSubject, NameObserver and PriceObserver
public class TestObservers {
	public static void main(String args[]) {
		// Create the Subject.
		ConcreteSubject s = new ConcreteSubject("Corn Pops", 1.29f);
        // Create the Observers, who attach themselves to the subject
		NameObserver nameObs = new NameObserver(s);
		PriceObserver priceObs = new PriceObserver(s);
		// Make changes to the Subject.
		s.setName("Frosted Flakes");
		s.setPrice(4.57f);
		s.setPrice(9.22f);
		s.setName("Sugar Crispies");
	}
}
